Bug 131553 - A PPTX with SmartArt shapes crashes Impress
Summary: A PPTX with SmartArt shapes crashes Impress
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
6.2.8.2 release
Hardware: All All
: medium normal
Assignee: nd101
URL:
Whiteboard: target:7.0.0 target:6.4.3 target:6.3.6
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2020-03-25 02:38 UTC by nd101
Modified: 2020-04-17 10:24 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
document that crashes Impress (335.33 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2020-03-25 02:39 UTC, nd101
Details

Note You need to log in before you can comment on or make changes to this bug.
Description nd101 2020-03-25 02:38:51 UTC
Description:
Open the document in the attachment, and it crashed. We have locate the problem. It appears it is caused by a null pointer.

Steps to Reproduce:
1.Open the document in the attachment
2.It crashed
3.

Actual Results:
crash

Expected Results:
not crashing


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 7.0.0.0.alpha0+ (x86)
Build ID: 6e6b7935eb1883d4050bf4a4fcfc896c28f6e7b6
CPU threads: 8; OS: Windows 10.0 Build 18362; UI render: Skia/Raster; VCL: win; 
Locale: en-US (en_US); UI-Language: en-US
Calc: CL
Comment 1 nd101 2020-03-25 02:39:48 UTC
Created attachment 158962 [details]
document that crashes Impress
Comment 2 nd101 2020-03-25 06:10:05 UTC
https://gerrit.libreoffice.org/c/core/+/91024

patch submitted
Comment 3 Xisco Faulí 2020-03-25 10:27:20 UTC
Regression introduced by:

author	Grzegorz Araminowicz <grzegorz.araminowicz@collabora.com>	2019-03-14 08:25:12 +0100
committer	Miklos Vajna <vmiklos@collabora.com>	2019-03-14 14:04:02 +0100
commit	e9986153e44d7ec6ca9c5f1373971de74dcbacda (patch)
tree	40750564a304c9856aa54c3b44d96523284c2435
parent	b795e540e4c4d31618a16ca8456476d5651a4d01 (diff)
PPTX import: import SmartArt drawing into single GroupShape

Bisected with: bibisect-linux64-6.3
Comment 4 Commit Notification 2020-03-25 16:45:41 UTC
nd101 committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/df1be683ab935fe5362750360508ba69eb415afb

tdf#131553 a null pointer crashes Impress

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2020-03-25 20:29:13 UTC
nd101 committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/3142872bcba19b6c4d60b464fc9b14293860348d

tdf#131553 a null pointer crashes Impress

It will be available in 6.4.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2020-03-27 09:58:06 UTC
nd101 committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/commit/8c0f424a131dbb2e5f82ec27362d5c3cbfc4b92d

tdf#131553 a null pointer crashes Impress

It will be available in 6.3.6.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Xisco Faulí 2020-03-27 12:01:50 UTC
Verified in

Version: 7.0.0.0.alpha0+
Build ID: 9b784a74a2f09e9eb9a0fd41d58c1f6b47ee6ee6
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded

@nd101, thanks for fixing this issue!!
Comment 8 Commit Notification 2020-03-27 16:34:06 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/ea331fa8b498c66ec687c6611c69ffc61e58bc79

tdf#131553: Add unittest

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2020-04-01 08:42:22 UTC
nd101 committed a patch related to this issue.
It has been pushed to "libreoffice-6-4-3":

https://git.libreoffice.org/core/commit/24233efeae559cb3d4c1299e424705b81d82c278

tdf#131553 a null pointer crashes Impress

It will be available in 6.4.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.